/*
 * Implementation of class PfgWriter
 *
 * $Date$
 * $Revision$
 *
 */

#include "WImage/PfgWriter.hh"
#include "WImage/debug.h"
#include <cstdio>
#include <pfi.h>

#if !(defined __WATCOMC__ && __WATCOMC__ < 1230)
using namespace std;
#endif

int
PfgWriter::writefmt (void)
{
  /*
   * And the rest...
   */
  if (pfi_write_name ((char*)m_fname, m_coeffs->array(), m_coeffs->rows (), 
               m_coeffs->cols (), 1, 0) < 0)
    {
      return -1;
    }
  
  return 0;

} 
